com.verisign.epp.codec.registry.v02

## Class EPPRegistryContactStreet

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax
  - - com.verisign.epp.codec.registry.v02.EPPRegistryContactStreet

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryContactStreet
      extends EPPRegistryAbstractMinMax

  The minimum and maximum length and the minimum and maximum number of the <contact:street> elements defined in [RFC5733].
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryContactStreet`.
    `static java.lang.String` | `ELM_MAX_ENTRY` XML Element Name of `maxEntry` attribute.
    `static java.lang.String` | `ELM_MIN_ENTRY` XML Element Name of `minEntry` attribute.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryContactStreet`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryContactStreet()` Creates a new `EPPRegistryContactStreet` object.
    `EPPRegistryContactStreet(java.lang.Integer aMin, java.lang.Integer aMax, java.lang.Integer aMinEntry, java.lang.Integer aMaxEntry)` Creates a new `EPPRegistryContactStreet` object that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryContactStreet(int aMin, int aMax, int aMinEntry, int aMaxEntry)` Creates a new `EPPRegistryContactStreet` object that takes both the minimum and maximum values as `int`'s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryContactStreet`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryContactStreet` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryContactStreet` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryContactStreet` compare.
    `protected java.lang.String` | `getElmMax()` Gets the maximum element local name.
    `protected java.lang.String` | `getElmMin()` Gets the minimum element local name.
    `protected org.apache.log4j.Logger` | `getLogger()` Gets the `Logger` to use.
    `java.lang.Integer` | `getMaxEntry()` Gets the maximum entry value, which defines the maximum number of <contact:street> elements.
    `java.lang.Integer` | `getMinEntry()` Gets the minimum entry value, which defines the minimum number of <contact:street> elements.
    `protected java.lang.String` | `getRootName()` Gets the root element local name.
    `void` | `setMaxEntry(java.lang.Integer aMaxEntry)` Sets the maximum entry value, which defines the maximum number of <contact:street> elements.
    `void` | `setMinEntry(java.lang.Integer aMinEntry)` Sets the minimum entry value, which defines the minimum number of <contact:street> elements.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
    `protected void` | `validateState()` Validate the state of the `EPPRegistryContactStreet` instance.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `getMax, getMin, getNamespace, setMax, setMin`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryContactStreet`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryContactStreet`.
      See Also:
        Constant Field Values

    - #### ELM_MIN_ENTRY

          public static final java.lang.String ELM_MIN_ENTRY

      XML Element Name of `minEntry` attribute.
      See Also:
        Constant Field Values

    - #### ELM_MAX_ENTRY

          public static final java.lang.String ELM_MAX_ENTRY

      XML Element Name of `maxEntry` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryContactStreet

          public EPPRegistryContactStreet()

      Creates a new `EPPRegistryContactStreet` object.

    - #### EPPRegistryContactStreet

          public EPPRegistryContactStreet(java.lang.Integer aMin,
                                          java.lang.Integer aMax,
                                          java.lang.Integer aMinEntry,
                                          java.lang.Integer aMaxEntry)

      Creates a new `EPPRegistryContactStreet` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value
        `aMinEntry` - Minimum number of <contact:street> elements.
        `aMaxEntry` - Maximum number of <contact:street> elements.

    - #### EPPRegistryContactStreet

          public EPPRegistryContactStreet(int aMin,
                                          int aMax,
                                          int aMinEntry,
                                          int aMaxEntry)

      Creates a new `EPPRegistryContactStreet` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value
        `aMinEntry` - Minimum number of <contact:street> elements.
        `aMaxEntry` - Maximum number of <contact:street> elements.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryContactStreet` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Overrides:
        `encode` in class `EPPRegistryAbstractMinMax`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryContactStreet` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryContactStreet` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryContactStreet` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Overrides:
        `decode` in class `EPPRegistryAbstractMinMax`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryContactStreet` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryContactStreet`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPRegistryAbstractMinMax`
      Returns:
        clone of `EPPRegistryContactStreet`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryContactStreet` compare.
      Overrides:
        `equals` in class `EPPRegistryAbstractMinMax`
      Parameters:
        `aObject` - `EPPRegistryContactStreet` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### getMinEntry

          public java.lang.Integer getMinEntry()

      Gets the minimum entry value, which defines the minimum number of <contact:street> elements.
      Returns:
        Minimum entry value if defined; `null` otherwise.

    - #### setMinEntry

          public void setMinEntry(java.lang.Integer aMinEntry)

      Sets the minimum entry value, which defines the minimum number of <contact:street> elements.
      Parameters:
        `aMinEntry` - Minimum number of <contact:street> elements.

    - #### getMaxEntry

          public java.lang.Integer getMaxEntry()

      Gets the maximum entry value, which defines the maximum number of <contact:street> elements.
      Returns:
        Maximum entry value if defined; `null` otherwise.

    - #### setMaxEntry

          public void setMaxEntry(java.lang.Integer aMaxEntry)

      Sets the maximum entry value, which defines the maximum number of <contact:street> elements.
      Parameters:
        `aMaxEntry` - Maximum number of <contact:street> elements.

    - #### validateState

          protected void validateState()
                                throws EPPEncodeException

      Validate the state of the `EPPRegistryContactStreet` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the `EPPCodecException` will contain a description of the error.
      Overrides:
        `validateState` in class `EPPRegistryAbstractMinMax`
      Throws:
        `EPPCodecException` - Validation error
        `EPPEncodeException`

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPRegistryAbstractMinMax`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Specified by:
        `getRootName` in class `EPPRegistryAbstractMinMax`
      Returns:
        Root element local name.

    - #### getElmMin

          protected java.lang.String getElmMin()

      Gets the minimum element local name.
      Specified by:
        `getElmMin` in class `EPPRegistryAbstractMinMax`
      Returns:
        Minimum element local name.

    - #### getElmMax

          protected java.lang.String getElmMax()

      Gets the maximum element local name.
      Specified by:
        `getElmMax` in class `EPPRegistryAbstractMinMax`
      Returns:
        Maximum element local name.

    - #### getLogger

          protected org.apache.log4j.Logger getLogger()

      Gets the `Logger` to use.
      Specified by:
        `getLogger` in class `EPPRegistryAbstractMinMax`
      Returns:
        `Logger` instance to use for logging.

Copyright © VeriSign Inc. All Rights Reserved.